#include <iostream>
using namespace std;
int main()
{
    int n,d,k,sbor=0,chisla=0;
    cin>>n>>d>>k;
    if(0<n && 0<d && 0<k && n<1000 && d<1000 && k<1000){
            chisla=chisla+(1+d);
            sbor++;
            sbor=sbor+chisla;
        for(int i=1;i<k;i++){
            chisla=chisla+d;
            if(chisla>n){
            chisla=chisla-n;
            }
            sbor=sbor+chisla;
        }
    }
    cout<<sbor;

    return 0;
}
